package com.bonus.hn.bearing.capacity.backstage.project.dao;

import com.bonus.hn.bearing.capacity.backstage.companypro.entity.ProjectManagerBean;
import com.bonus.hn.bearing.capacity.backstage.project.entity.FileBean;
import com.bonus.hn.bearing.capacity.backstage.project.entity.ProgressBean;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * APP登录记录表(AppLoginAudit)表数据库访问层
 *
 * @author makejava
 * @since 2022-12-12 13:57:37
 */
@Mapper
public interface ProgressDao {

    List<ProgressBean> getBasicDataList(ProgressBean o);

    ProgressBean getProTitleData(ProgressBean o);

    ProgressBean getLineBean(ProgressBean o);

    List<ProgressBean> getBasicList(ProgressBean o);

    List<ProgressBean> getTowerList(ProgressBean o);

    ProgressBean getBasicTowerNum(ProgressBean o);

    int updateTowerStatus(String proId, String towerId, String status,String nowData);

    int updateLineLength(String proId, String changeLength);

    int updateBPProgress(String proId, String progress);

    int insertRecord(String proId, String remark,String progress,String userName);

    List<ProgressBean> getProjectProgress(ProgressBean o);

    List<ProgressBean> getTowerRecordTimeLine(ProgressBean o);

    List<ProgressBean> getPersonList(ProgressBean o);

    void insertFile(FileBean bean);

    List<FileBean> getFileList(FileBean o);

    int delFileRecordById(FileBean bean);

    List<ProgressBean> getExportList(ProgressBean b);

    List<ProgressBean> getBackspaceBasicList(ProgressBean o);

    List<ProgressBean> getBackspaceTowerList(ProgressBean o);

    int updateBackspaceTowerStatus(String proId, String towerId, String status,String nowData);
}

